org.apache.ode.utils.xsd

## Class LoggingXmlErrorHandler

- java.lang.Object
- - org.apache.ode.utils.xsd.LoggingXmlErrorHandler

- All Implemented Interfaces:
    org.apache.xerces.xni.parser.XMLErrorHandler

      public class LoggingXmlErrorHandler
      extends java.lang.Object
      implements org.apache.xerces.xni.parser.XMLErrorHandler

  Implementation of `LoggingXmlErrorHandler` that outputs messages to a log.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoggingXmlErrorHandler(org.apache.commons.logging.Log log)` Create a new instance that will output to the specified `Log` instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `error(java.lang.String domain, java.lang.String key, org.apache.xerces.xni.parser.XMLParseException ex)`
    `void` | `fatalError(java.lang.String domain, java.lang.String key, org.apache.xerces.xni.parser.XMLParseException ex)`
    `org.apache.xerces.xni.parser.XMLParseException` | `getLastError()`
    `void` | `warning(java.lang.String domain, java.lang.String key, org.apache.xerces.xni.parser.XMLParseException ex)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LoggingXmlErrorHandler

          public LoggingXmlErrorHandler(org.apache.commons.logging.Log log)

      Create a new instance that will output to the specified `Log` instance.
      Parameters:
        `log` - the target log, which much be non-`null`

  - ### Method Detail

    - #### getLastError

          public org.apache.xerces.xni.parser.XMLParseException getLastError()

    - #### warning

          public void warning(java.lang.String domain,
                     java.lang.String key,
                     org.apache.xerces.xni.parser.XMLParseException ex)
                       throws org.apache.xerces.xni.XNIException

      Specified by:
        `warning` in interface `org.apache.xerces.xni.parser.XMLErrorHandler`
      Throws:
        `org.apache.xerces.xni.XNIException`

    - #### error

          public void error(java.lang.String domain,
                   java.lang.String key,
                   org.apache.xerces.xni.parser.XMLParseException ex)
                     throws org.apache.xerces.xni.XNIException

      Specified by:
        `error` in interface `org.apache.xerces.xni.parser.XMLErrorHandler`
      Throws:
        `org.apache.xerces.xni.XNIException`

    - #### fatalError

          public void fatalError(java.lang.String domain,
                        java.lang.String key,
                        org.apache.xerces.xni.parser.XMLParseException ex)
                          throws org.apache.xerces.xni.XNIException

      Specified by:
        `fatalError` in interface `org.apache.xerces.xni.parser.XMLErrorHandler`
      Throws:
        `org.apache.xerces.xni.XNIException`